JBoss API: Interface ServerSessionPoolFactory

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.jms.asf
Interface ServerSessionPoolFactory

All Known Implementing Classes:
  StdServerSessionPoolFactory

public interface ServerSessionPoolFactory

Defines the model for creating `ServerSessionPoolFactory` objects.

Created: Wed Nov 29 15:55:21 2000

Version:
  $Revision: 1.1.6.3 $
Author:
  Peter Antman ., Hiram Chirino .

Method Summary
`java.lang.String` | `getName()` Get the name of the factory.
`javax.jms.ServerSessionPool` | `getServerSessionPool(javax.jms.Connection con, int maxSession, boolean isTransacted, int ack, boolean useLocalTX, javax.jms.MessageListener listener)` Create a new `ServerSessionPool` .
`void` | `setName(java.lang.String name)` Set the name of the factory.

Method Detail

### setName

    public void setName(java.lang.String name)

  Set the name of the factory.
  Parameters:
    `name` - The name of the factory.

### getName

    public java.lang.String getName()

  Get the name of the factory.
  Returns:
    The name of the factory.

### getServerSessionPool

    public javax.jms.ServerSessionPool getServerSessionPool(javax.jms.Connection con,
                                                            int maxSession,
                                                            boolean isTransacted,
                                                            int ack,
                                                            boolean useLocalTX,
                                                            javax.jms.MessageListener listener)
                                                     throws javax.jms.JMSException

  Create a new `ServerSessionPool` .
  Parameters:
    `con` -
    `maxSession` -
    `isTransacted` -
    `ack` -
    `listener` -
    `useLocalTX` -
  Returns:
    A new pool.
  Throws:
    `javax.jms.JMSException` -

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000 The JBoss Organization. All Rights Reserved.